summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Jonathan Yu <yumigator[AT]moldysoup.com>2010-05-11 22:53:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:24 +0200
commit17bf7a21782201f3ee152d52e8dbbe16249f1121 (patch)
treee512f97cf49f55b0f65ef32d26cfed19227dac9d /desktop
parent1c59b23c42779233dffda95689d1073c4d4fde51 (diff)
downloadslackbuilds-17bf7a21782201f3ee152d52e8dbbe16249f1121.tar.gz
slackbuilds-17bf7a21782201f3ee152d52e8dbbe16249f1121.tar.xz
desktop/tint: Added to 12.1 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/tint/README12
-rw-r--r--desktop/tint/slack-desc19
-rw-r--r--desktop/tint/tint.SlackBuild62
-rw-r--r--desktop/tint/tint.info8
4 files changed, 101 insertions, 0 deletions
diff --git a/desktop/tint/README b/desktop/tint/README
new file mode 100644
index 0000000000..a2aa5a9015
--- /dev/null
+++ b/desktop/tint/README
@@ -0,0 +1,12 @@
+tint is a simple panel/taskbar intentionally made for openbox3, but should
+also work with other window managers. It's based off ttm code.
+
+The goal is to keep a clean and unintrusive look with code lightweight and
+compliance with freedesktop specifications.
+
+imlib2 is required (it is also available at SlackBuilds.org).
+
+On the first run, /etc/xdg/tint/tintrc is copied to ~/.config/tint/tintrc.
+This is used as the configuration. 3 other samples are included in
+/usr/doc/tint-*/tintrc-samples that may also be used; you can edit
+~/.config/tint/tintrc to your preference.
diff --git a/desktop/tint/slack-desc b/desktop/tint/slack-desc
new file mode 100644
index 0000000000..9bf2309786
--- /dev/null
+++ b/desktop/tint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tint: Tint (panel/taskbar for openbox3 and other window managers)
+tint:
+tint: tint is a simple panel/taskbar intentionally made for openbox3, but
+tint: should also work with other window managers. It's based off ttm code.
+tint:
+tint: The goal is to keep a clean and unintrusive look with code lightweight
+tint: and compliance with freedesktop specifications.
+tint:
+tint: Homepage: http://code.google.com/p/tint2/
+tint:
+tint:
diff --git a/desktop/tint/tint.SlackBuild b/desktop/tint/tint.SlackBuild
new file mode 100644
index 0000000000..ddb3d7981f
--- /dev/null
+++ b/desktop/tint/tint.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for rezlooks gtk engine
+
+# Written by Jonathan Yu <yumigator[AT]moldysoup.com>
+# You are free to modify or redistribute this in any way you wish.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=tint
+VERSION=${VERSION:-0.6.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="ChangeLog README doc/tint-0.6.odt doc/tint-0.6.pdf"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-02 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+ make
+ make DESTDIR=$PKG install
+cd -
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/tintrc-samples
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp $PKG/etc/xdg/tint/tintrc $PKG/usr/doc/$PRGNAM-$VERSION/tintrc-samples/tintrc1
+cp tintrc2 tintrc3 tintrc4 $PKG/usr/doc/$PRGNAM-$VERSION/tintrc-samples
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/tint/tint.info b/desktop/tint/tint.info
new file mode 100644
index 0000000000..5f12214915
--- /dev/null
+++ b/desktop/tint/tint.info
@@ -0,0 +1,8 @@
+PRGNAM="tint"
+VERSION="0.6.0"
+HOMEPAGE="http://code.google.com/p/tint2/"
+DOWNLOAD="http://tint2.googlecode.com/files/tint-0.6.0.tar.gz"
+MD5SUM="50a327730429373a18286b27f915fefd"
+MAINTAINER="Jonathan Yu"
+EMAIL="yumigator[AT]moldysoup.com"
+APPROVED="rworkman"